package FFFF::Module::csv_rand;

use vars qw(@ISA);
@ISA = qw(FFFF::Module::csv);
require "FFFF/Module/mod_csv.pl";


sub get_save_data {
    my $self     = shift;
    my (%form) = @_;

	my @save = $self->SUPER::get_save_data(%form);

	my @salt = ('A'..'Z', '0'..'9');
    my $rand;
	for (1..15) {
		$rand .= $salt[int(rand(scalar(@salt)))];
	}

	return (@save, $rand);
}

1;
